package com.iamberry.wechat.service.mapper;

import com.iamberry.wechat.core.entity.integral.IntegralProduct;

import java.util.List;

/**
 *  积分商品接口
 * @author ys
 * @Date 2018-04-28
 */
public interface IntegralProductMapper {
    /**
     * 获取集合
     * @param  integralProduct
     * @return List
     */
    List<IntegralProduct> getIntegralProductList(IntegralProduct  integralProduct);
    /**
     * 查询单条数据
     * @param  id
     * @return  integralProduct
     */
    IntegralProduct getIntegralProductById(Integer  id);
    /**
     * 增加数据
     * @param  integralProduct
     * @return Integer
     */
    Integer  save(IntegralProduct  integralProduct);
    /**
     * 修改数据
     * @param  integralProduct
     * @return Integer
     */
    Integer  update(IntegralProduct  integralProduct);
    /**
     * 删除数据
     * @param  id
     * @return Integer
     */
    Integer  delete(Integer  id);
}